import { AsgardServiceContextValue, AsgardTemplateContextValue, AsgardServiceContextProviderProps } from '../../context';
import { AsgardThemeContextValue } from '../../context/asgard-theme-context';
import { ClientConfig, ConversationMessage } from '@asgard-js/core';
import { ReactNode, CSSProperties } from 'react';

interface ChatbotProps extends AsgardTemplateContextValue {
    className?: string;
    style?: CSSProperties;
    title: string;
    customActions?: ReactNode[];
    theme?: Partial<AsgardThemeContextValue>;
    config: ClientConfig;
    customChannelId: string;
    initMessages?: ConversationMessage[];
    onSseMessage?: AsgardServiceContextProviderProps['onSseMessage'];
    fullScreen?: boolean;
    avatar?: string;
    botTypingPlaceholder?: string;
    enableLoadConfigFromService?: boolean;
    maintainConnectionWhenClosed?: boolean;
    asyncInitializers?: Record<string, () => Promise<unknown>>;
    onReset?: () => void;
    onClose?: () => void;
    loadingComponent?: ReactNode;
}
export interface ChatbotRef {
    serviceContext?: AsgardServiceContextValue;
}
export declare const Chatbot: import('react').ForwardRefExoticComponent<ChatbotProps & import('react').RefAttributes<ChatbotRef>>;
export {};
//# sourceMappingURL=chatbot.d.ts.map