import { ClientConfig } from '@asgard-js/core';
import { default as React, PropsWithChildren, ReactNode } from 'react';

type AsyncInitializers = {
    [key: string]: () => Promise<unknown>;
};
export interface Annotations {
    embedConfig: {
        theme: {
            chatbot: Record<string, unknown>;
            botMessage: Record<string, unknown>;
            userMessage: Record<string, unknown>;
        };
    };
}
export interface AsgardAppInitializationContextValue {
    data: {
        annotations?: Annotations;
    };
    loading: boolean;
    error: Error | null;
}
export declare const AsgardAppInitializationContext: React.Context<AsgardAppInitializationContextValue>;
export interface AsgardAppInitializationContextProviderProps {
    enabled: boolean;
    config: ClientConfig;
    asyncInitializers?: AsyncInitializers;
    loadingComponent?: React.ReactNode;
}
export declare const AsgardAppInitializationContextProvider: (props: PropsWithChildren<AsgardAppInitializationContextProviderProps>) => ReactNode;
export declare const useAsgardAppInitializationContext: () => AsgardAppInitializationContextValue;
export {};
//# sourceMappingURL=asgard-app-initialization-context.d.ts.map