import { UseChannelProps, UseChannelReturn } from '../hooks';
import { ForwardedRef, ReactNode, RefObject } from 'react';
import { AsgardServiceClient, ClientConfig, ConversationMessage } from '@asgard-js/core';

export interface AsgardServiceContextValue {
    avatar?: string;
    client: AsgardServiceClient | null;
    isOpen: boolean;
    isResetting: boolean;
    isConnecting: boolean;
    messages: Map<string, ConversationMessage> | null;
    messageBoxBottomRef: RefObject<HTMLDivElement>;
    sendMessage?: UseChannelReturn['sendMessage'];
    resetChannel?: UseChannelReturn['resetChannel'];
    closeChannel?: UseChannelReturn['closeChannel'];
    botTypingPlaceholder?: string;
}
export declare const AsgardServiceContext: import('react').Context<AsgardServiceContextValue>;
export interface AsgardServiceContextProviderProps {
    children: ReactNode;
    parentRef?: ForwardedRef<Partial<{
        serviceContext?: AsgardServiceContextValue;
    }>>;
    avatar?: string;
    config: ClientConfig;
    botTypingPlaceholder?: string;
    customChannelId: string;
    customMessageId?: string;
    delayTime?: number;
    initMessages?: ConversationMessage[];
    onSseMessage?: UseChannelProps['onSseMessage'];
}
export declare function AsgardServiceContextProvider(props: AsgardServiceContextProviderProps): ReactNode;
export declare function useAsgardContext(): AsgardServiceContextValue;
//# sourceMappingURL=asgard-service-context.d.ts.map