import { ConversationErrorMessage, FetchSsePayload } from '@asgard-js/core';
import { PropsWithChildren, ReactNode } from 'react';

export interface AsgardTemplateContextValue {
    onErrorClick?: (message: ConversationErrorMessage) => void;
    errorMessageRenderer?: (message: ConversationErrorMessage) => ReactNode;
    onTemplateBtnClick?: (payload: Record<string, unknown>, { sse, }: {
        sse: {
            sendMessage: (payload: Pick<FetchSsePayload, 'text' | 'payload'>) => void;
        };
    }) => void;
}
export declare const AsgardTemplateContext: import('react').Context<AsgardTemplateContextValue>;
interface AsgardTemplateContextProviderProps extends PropsWithChildren {
    onErrorClick?: (message: ConversationErrorMessage) => void;
    errorMessageRenderer?: (message: ConversationErrorMessage) => ReactNode;
    onTemplateBtnClick?: (payload: Record<string, unknown>, { sse, }: {
        sse: {
            sendMessage: (payload: Pick<FetchSsePayload, 'text' | 'payload'>) => void;
        };
    }) => void;
}
export declare function AsgardTemplateContextProvider(props: AsgardTemplateContextProviderProps): ReactNode;
export declare function useAsgardTemplateContext(): AsgardTemplateContextValue;
export {};
//# sourceMappingURL=asgard-template-context.d.ts.map