import { CSSProperties, PropsWithChildren, ReactNode } from 'react';

export interface AsgardThemeContextValue {
    chatbot: Pick<CSSProperties, 'width' | 'height' | 'maxWidth' | 'minWidth' | 'maxHeight' | 'minHeight' | 'backgroundColor' | 'borderColor' | 'borderRadius'> & {
        contentMaxWidth?: CSSProperties['maxWidth'];
        style?: CSSProperties;
        header?: Partial<{
            style: CSSProperties;
            title: {
                style: CSSProperties;
            };
        }>;
        body?: Partial<{
            style: CSSProperties;
        }>;
        footer?: Partial<{
            style: CSSProperties;
            textArea: {
                style: CSSProperties;
            };
            submitButton: {
                style: CSSProperties;
            };
            speechInputButton: {
                style: CSSProperties;
            };
        }>;
    };
    botMessage: Pick<CSSProperties, 'color' | 'backgroundColor'>;
    userMessage: Pick<CSSProperties, 'color' | 'backgroundColor'>;
    template?: Partial<{
        /**
         * first level for common/shared properties.
         * Check MessageTemplate type for more details (packages/core/src/types/sse-response.ts).
         */
        quickReplies?: Partial<{
            style: CSSProperties;
            button: {
                style: CSSProperties;
            };
        }>;
        /**
         * TBD: Fill the necessary properties based on the requirements.
         */
        TextMessageTemplate: Partial<{
            style: CSSProperties;
        }>;
        /**
         * TBD: Fill the necessary properties based on the requirements.
         */
        HintMessageTemplate: Partial<{
            style: CSSProperties;
        }>;
        /**
         * TBD: Fill the necessary properties based on the requirements.
         */
        ImageMessageTemplate: Partial<{
            style: CSSProperties;
        }>;
        /**
         * TBD: Fill the necessary properties based on the requirements.
         */
        VideoMessageTemplate: Partial<{
            style: CSSProperties;
        }>;
        /**
         * TBD: Fill the necessary properties based on the requirements.
         */
        AudioMessageTemplate: Partial<{
            style: CSSProperties;
        }>;
        /**
         * TBD: Fill the necessary properties based on the requirements.
         */
        LocationMessageTemplate: Partial<{
            style: CSSProperties;
        }>;
        /**
         * TBD: Fill the necessary properties based on the requirements.
         */
        ChartMessageTemplate: Partial<{
            style: CSSProperties;
        }>;
        /**
         * TBD: Fill the necessary properties based on the requirements.
         */
        ButtonMessageTemplate: Partial<{
            style: CSSProperties;
        }>;
        /**
         * TBD: Fill the necessary properties based on the requirements.
         */
        CarouselMessageTemplate: Partial<{
            style: CSSProperties;
        }>;
    }>;
}
export declare const defaultAsgardThemeContextValue: AsgardThemeContextValue;
export declare const AsgardThemeContext: import('react').Context<AsgardThemeContextValue>;
export declare function AsgardThemeContextProvider(props: PropsWithChildren<{
    theme?: Partial<AsgardThemeContextValue>;
}>): ReactNode;
export declare function useAsgardThemeContext(): AsgardThemeContextValue;
//# sourceMappingURL=asgard-theme-context.d.ts.map