import { AsgardServiceClient, Conversation, ConversationMessage, EventType, FetchSsePayload, SseResponse } from '@asgard-js/core';

export interface UseChannelProps {
    defaultIsOpen?: boolean;
    resetPayload?: Pick<FetchSsePayload, 'text' | 'payload'>;
    client: AsgardServiceClient | null;
    customChannelId: string;
    customMessageId?: string;
    initMessages?: ConversationMessage[];
    onSseMessage?: (response: SseResponse<EventType>, context: {
        conversation: Conversation | null;
    }) => void;
}
export interface UseChannelReturn {
    isOpen: boolean;
    isResetting: boolean;
    isConnecting: boolean;
    conversation: Conversation | null;
    sendMessage?: (payload: Pick<FetchSsePayload, 'text' | 'payload'>) => void;
    resetChannel?: (payload: Pick<FetchSsePayload, 'text' | 'payload'>) => void;
    closeChannel?: () => void;
}
export declare function useChannel(props: UseChannelProps): UseChannelReturn;
//# sourceMappingURL=use-channel.d.ts.map